ru.bitel.common.model

## Class Tied.TieUnresolvedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ru.bitel.common.model.Tied.TieUnresolvedException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing interface:
    Tied

      public static class Tied.TieUnresolvedException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TieUnresolvedException(java.util.Map<? extends Tied,java.util.Set<java.lang.Object>> dependsUnresolved, java.util.Map<? extends Tied,java.util.Set<java.lang.Object>> incompatibleUnresolved)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<? extends Tied,java.util.Set<java.lang.Object>>` | `getDependsUnresolved()`
    `java.util.Map<? extends Tied,java.util.Set<java.lang.Object>>` | `getIncompatibleUnresolved()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TieUnresolvedException

          public TieUnresolvedException(java.util.Map<? extends Tied,java.util.Set<java.lang.Object>> dependsUnresolved,
                                        java.util.Map<? extends Tied,java.util.Set<java.lang.Object>> incompatibleUnresolved)

  - ### Method Detail

    - #### getDependsUnresolved

          public java.util.Map<? extends Tied,java.util.Set<java.lang.Object>> getDependsUnresolved()

    - #### getIncompatibleUnresolved

          public java.util.Map<? extends Tied,java.util.Set<java.lang.Object>> getIncompatibleUnresolved()